Friday, July 29, 2011

KDE-4.7, Digikam 2.0.0, KIPI-Plugins 2.0.0

Another year, another major KDE release - KDE 4.7.0 is out and already in the portage tree for your consumption. So far I can recommend the update very much- it seems like this time there is no "zero version effect" and 4.7 is working nicely from the start. With one caveat however: I've been staying with the old KDEPIM-4.4 so far, as I've heard mixed reports about the new KDEPIM version included in 4.7.
If you want to combine KDE-4.7 with KDEPIM-4.4, you can do that as well: get the mask file and place it in your /etc/portage/package.mask. If you are using the full-kde meta ebuild kde-base/kde-meta, enable the useflag "oldpim" there, so dependencies on the KDEPIM version are relaxed. Afterwards you can update your KDE to version 4.7.0, and KDEPIM remains at trusty version
Using KDE-4.7 has a very nice side effect: you can upgrade Digikam and KIPI-Plugins to version 2.0.0, also just released, with a ton of new features. Enjoy!
Thanks go to Jorge Vicetto and Alexey Shvetsov, who put the most work into preparing the new ebuilds and testing betas and release candidates. After all this effort, updating to 4.7.0 immediately went very smooth!


  1. Thanks for all your work bringing KDE desktop and apps to Gentoo. Updated all three boxen yesterday and all is working great. Thanks!

  2. I'm impressed by the fact dispatch-conf showed a single change in kdmrc for the addition of grub2 support. :)
    Going to use digikam 2 now!

    Thanks for the hard work.

  3. Digikam hang on camera select. Some dependency incompatible as i know.